# Bone

Bone : `Attachment`

## Overview

Bone은 화면에 직접 표시되지는 않지만, 애니메이션 제작이나 캐릭터 모델의 움직임을 제어하는 데 사용되는 인스턴스입니다.

게임이 실행되면 Workspace에 생성되는 캐릭터 모델의 하위 계층에서 본 구조를 확인할 수 있으며, 애니메이션 에디터를 통해서도 확인할 수 있습니다. 특히 애니메이션 에디터를 사용하면 캐릭터의 본을 직접 조작하여 보다 쉽게 애니메이션을 제작할 수 있습니다.

## Properties

### Transform

`CFrame`

Bone의 CFrame을 기준으로, 현재 애니메이션에 의해 적용된 위치·회전 변화를 나타내는 속성입니다.

#### Code Samples

```lua
local Bone = Character.Skeleton.Root.IKFootRoot.IKLeftFoot

print(Bone.Transform)
```

### TransformedCFrame

`CFrame`

로컬 좌표계에서 Bone의 CFrame 위치와 Transform(현재 애니메이션에 의한 오프셋)을 합친 최종 CFrame 값을 제공합니다.

#### Code Samples

```lua
local Bone = Character.Skeleton.Root.IKFootRoot.IKLeftFoot

print(Bone.TransformedCFrame)
```

### TransformedWorldCFrame

`CFrame`

월드 좌표계에서 Bone의 CFrame 위치와 Transform(현재 애니메이션에 의한 오프셋)을 합친 최종 CFrame 값을 제공합니다.

#### Code Samples

```lua
local Bone = Character.Skeleton.Root.IKFootRoot.IKLeftFoot

print(Bone.TransformedWorldCFrame)
```

## Methods

## Events

## See also

{% content-ref url="/pages/gn6FTk2xMPVwXT1ozbKP" %}
[캐릭터](/korean/manual/studio-manual/character.md)
{% endcontent-ref %}

{% content-ref url="/pages/NU5b90mJmoIlkGCj2hMe" %}
[애니메이션 에디터](/korean/manual/studio-manual/asset-and-resource-creation/animation-editor.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/bone.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
